unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, StdCtrls, ExtCtrls, TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Timer1: TTimer;
    btnStop: TButton;
    Series1: TFastLineSeries;
    btnSaveBmp: TButton;
    btnStart: TButton;
    procedure FormCreate(Sender: TObject);
    procedure btnStartClick(Sender: TObject);
    procedure btnSaveBmpClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Timer1Timer(Sender: TObject);
    procedure btnStopClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnStopClick(Sender: TObject);
begin
  Timer1.Enabled := False;
end;

procedure TForm1.btnSaveBmpClick(Sender: TObject);
begin
  Chart1.SaveToBitmapFile('D:\Temp\Test1.bmp');
end;

procedure TForm1.btnStartClick(Sender: TObject);
begin
  Timer1.Enabled := True;  
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Timer1.Enabled := False;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  i: Integer;
begin
  for i := 0 to 1000 do
    Chart1.Series[0].AddXY((i/1000)*30, 0, '', clRed);

  Timer1.Interval := 50;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Chart1.Series[0].YValues.scroll;
  Chart1.Series[0].YValues.Value[Chart1.Series[0].YValues.Count-1] := 100;
  Chart1.Invalidate;
end;

end.
